---
title: URLUtilsReadOnly.toString()
slug: Web/API/URLUtilsReadOnly/toString
tags:
  - API
  - Experimental
  - Expérimental(2)
  - Method
  - Stringifier
  - URL API
  - URLUtilsReadOnly
---
<p>{{ApiRef("URL API")}}{{SeeCompatTable}}</p>

<p>The <code><strong>URLUtilsReadOnly</strong></code><strong><code>.toString()</code></strong> stringifier method returns a {{domxref("DOMString")}} containing the whole URL. It is a synonym for {{domxref("URLUtilsReadOnly.href")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>string</em> = <em>object</em>.toString();</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// In a Web worker, on the page https://developer.mozilla.org/en-US/URLUtilsReadOnly.href
var result = window.self.toString(); // Returns:'https://developer.mozilla.org/en-US/URLUtilsReadOnly.href'
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.URLUtilsReadOnly.toString")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>The {{domxref("URLUtilsReadOnly")}} interface it belongs to.</li>
</ul>
